summaryrefslogtreecommitdiff
path: root/t/t9152-svn-empty-dirs-after-gc.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2011-12-18 00:27:59 -0800
committerJunio C Hamano <gitster@pobox.com>2011-12-18 00:28:16 -0800
commit03f94ae9f909952ed5a78917ab319a312889354b (patch)
tree0fd041e8b390bd0d2a960ae629d8e965d363de92 /t/t9152-svn-empty-dirs-after-gc.sh
parent2c47789d817aaf745a5ce5d5f79619c634cc8566 (diff)
parent81b50f3ce40bfdd66e5d967bf82be001039a9a98 (diff)
downloadgit-03f94ae9f909952ed5a78917ab319a312889354b.tar.gz
Update jk/maint-strbuf-missing-init to builtin/ renamejk/maint-strbuf-missing-init
Diffstat (limited to 't/t9152-svn-empty-dirs-after-gc.sh')
-rwxr-xr-xt/t9152-svn-empty-dirs-after-gc.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/t/t9152-svn-empty-dirs-after-gc.sh b/t/t9152-svn-empty-dirs-after-gc.sh
new file mode 100755
index 0000000000..301e779709
--- /dev/null
+++ b/t/t9152-svn-empty-dirs-after-gc.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# Copyright (c) 2009 Robert Zeh
+
+test_description='git svn creates empty directories, calls git gc, makes sure they are still empty'
+. ./lib-git-svn.sh
+
+test_expect_success 'initialize repo' '
+ for i in a b c d d/e d/e/f "weird file name"
+ do
+ svn_cmd mkdir -m "mkdir $i" "$svnrepo"/"$i"
+ done
+'
+
+test_expect_success 'clone' 'git svn clone "$svnrepo" cloned'
+
+test_expect_success 'git svn gc runs' '
+ (
+ cd cloned &&
+ git svn gc
+ )
+'
+
+test_expect_success 'git svn mkdirs recreates empty directories after git svn gc' '
+ (
+ cd cloned &&
+ rm -r * &&
+ git svn mkdirs &&
+ for i in a b c d d/e d/e/f "weird file name"
+ do
+ if ! test -d "$i"
+ then
+ echo >&2 "$i does not exist"
+ exit 1
+ fi
+ done
+ )
+'
+
+test_done